DO $$
	DECLARE
		_path character varying(256) := 'patch-2026_02_13-FlexibleTablesConstraint';
		_build integer := 16045;
	BEGIN
		IF EXISTS (SELECT 1 FROM public."Versions" WHERE "Path" = _path) THEN
			RETURN;
		END IF;

		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build" >= _build) THEN
			RETURN;
		END IF;

		BEGIN
			ALTER TABLE "FlexibleTables" DROP CONSTRAINT IF EXISTS "FlexibleTables_pkey";

		EXCEPTION
			WHEN OTHERS THEN
				RAISE NOTICE '[ERR] %: %', _path, SQLERRM;
		END;
	END;
$$;